org.eclipse.oomph.setup.impl

## Class SetupPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.oomph.setup.impl.SetupPackageImpl

- All Implemented Interfaces:
    Notifier, EModelElement, ENamedElement, EObject, EPackage, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder, SetupPackage

      public class SetupPackageImpl
      extends EPackageImpl
      implements SetupPackage

  An implementation of the model Package.
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `EPackageImpl.EBasicWhiteList`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.oomph.setup.SetupPackage

      `SetupPackage.Literals`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `EPackage.Descriptor, EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `name, NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupPackage

      `ATTRIBUTE_RULE, ATTRIBUTE_RULE__ANNOTATIONS, ATTRIBUTE_RULE__ATTRIBUTE_URI, ATTRIBUTE_RULE__VALUE, ATTRIBUTE_RULE_FEATURE_COUNT, CATALOG_SELECTION, CATALOG_SELECTION__ANNOTATIONS, CATALOG_SELECTION__DEFAULT_PRODUCT_VERSIONS, CATALOG_SELECTION__DEFAULT_STREAMS, CATALOG_SELECTION__PRODUCT_CATALOGS, CATALOG_SELECTION__PROJECT_CATALOGS, CATALOG_SELECTION__SELECTED_STREAMS, CATALOG_SELECTION_FEATURE_COUNT, COMPOUND_TASK, COMPOUND_TASK__ANNOTATIONS, COMPOUND_TASK__DESCRIPTION, COMPOUND_TASK__DISABLED, COMPOUND_TASK__EXCLUDED_TRIGGERS, COMPOUND_TASK__ID, COMPOUND_TASK__NAME, COMPOUND_TASK__PREDECESSORS, COMPOUND_TASK__RESTRICTIONS, COMPOUND_TASK__SCOPE_TYPE, COMPOUND_TASK__SETUP_TASKS, COMPOUND_TASK__SUCCESSORS, COMPOUND_TASK_FEATURE_COUNT, ECLIPSE_INI_TASK, ECLIPSE_INI_TASK__ANNOTATIONS, ECLIPSE_INI_TASK__DESCRIPTION, ECLIPSE_INI_TASK__DISABLED, ECLIPSE_INI_TASK__EXCLUDED_TRIGGERS, ECLIPSE_INI_TASK__ID, ECLIPSE_INI_TASK__OPTION, ECLIPSE_INI_TASK__PREDECESSORS, ECLIPSE_INI_TASK__RESTRICTIONS, ECLIPSE_INI_TASK__SCOPE_TYPE, ECLIPSE_INI_TASK__SUCCESSORS, ECLIPSE_INI_TASK__VALUE, ECLIPSE_INI_TASK__VM, ECLIPSE_INI_TASK_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, INDEX, INDEX__ANNOTATIONS, INDEX__DISCOVERABLE_PACKAGES, INDEX__PRODUCT_CATALOGS, INDEX__PROJECT_CATALOGS, INDEX_FEATURE_COUNT, INSTALLATION, INSTALLATION__ANNOTATIONS, INSTALLATION__DESCRIPTION, INSTALLATION__LABEL, INSTALLATION__NAME, INSTALLATION__PRODUCT_VERSION, INSTALLATION__QUALIFIED_NAME, INSTALLATION__SETUP_TASKS, INSTALLATION_FEATURE_COUNT, INSTALLATION_TASK, INSTALLATION_TASK__ANNOTATIONS, INSTALLATION_TASK__DESCRIPTION, INSTALLATION_TASK__DISABLED, INSTALLATION_TASK__EXCLUDED_TRIGGERS, INSTALLATION_TASK__ID, INSTALLATION_TASK__LOCATION, INSTALLATION_TASK__PREDECESSORS, INSTALLATION_TASK__RESTRICTIONS, INSTALLATION_TASK__SCOPE_TYPE, INSTALLATION_TASK__SUCCESSORS, INSTALLATION_TASK_FEATURE_COUNT, INSTALLATION_TO_WORKSPACES_MAP_ENTRY, INSTALLATION_TO_WORKSPACES_MAP_ENTRY__KEY, INSTALLATION_TO_WORKSPACES_MAP_ENTRY__VALUE, INSTALLATION_TO_WORKSPACES_MAP_ENTRY_FEATURE_COUNT, LICENSE_INFO, LINK_LOCATION_TASK, LINK_LOCATION_TASK__ANNOTATIONS, LINK_LOCATION_TASK__DESCRIPTION, LINK_LOCATION_TASK__DISABLED, LINK_LOCATION_TASK__EXCLUDED_TRIGGERS, LINK_LOCATION_TASK__ID, LINK_LOCATION_TASK__NAME, LINK_LOCATION_TASK__PATH, LINK_LOCATION_TASK__PREDECESSORS, LINK_LOCATION_TASK__RESTRICTIONS, LINK_LOCATION_TASK__SCOPE_TYPE, LINK_LOCATION_TASK__SUCCESSORS, LINK_LOCATION_TASK_FEATURE_COUNT, LOCATION_CATALOG, LOCATION_CATALOG__INSTALLATIONS, LOCATION_CATALOG__WORKSPACES, LOCATION_CATALOG_FEATURE_COUNT, PREFERENCE_TASK, PREFERENCE_TASK__ANNOTATIONS, PREFERENCE_TASK__DESCRIPTION, PREFERENCE_TASK__DISABLED, PREFERENCE_TASK__EXCLUDED_TRIGGERS, PREFERENCE_TASK__ID, PREFERENCE_TASK__KEY, PREFERENCE_TASK__PREDECESSORS, PREFERENCE_TASK__RESTRICTIONS, PREFERENCE_TASK__SCOPE_TYPE, PREFERENCE_TASK__SUCCESSORS, PREFERENCE_TASK__VALUE, PREFERENCE_TASK_FEATURE_COUNT, PRODUCT, PRODUCT__ANNOTATIONS, PRODUCT__DESCRIPTION, PRODUCT__LABEL, PRODUCT__NAME, PRODUCT__PRODUCT_CATALOG, PRODUCT__QUALIFIED_NAME, PRODUCT__SETUP_TASKS, PRODUCT__VERSIONS, PRODUCT_CATALOG, PRODUCT_CATALOG__ANNOTATIONS, PRODUCT_CATALOG__DESCRIPTION, PRODUCT_CATALOG__INDEX, PRODUCT_CATALOG__LABEL, PRODUCT_CATALOG__NAME, PRODUCT_CATALOG__PRODUCTS, PRODUCT_CATALOG__QUALIFIED_NAME, PRODUCT_CATALOG__SETUP_TASKS, PRODUCT_CATALOG_FEATURE_COUNT, PRODUCT_FEATURE_COUNT, PRODUCT_TO_PRODUCT_VERSION_MAP_ENTRY, PRODUCT_TO_PRODUCT_VERSION_MAP_ENTRY__KEY, PRODUCT_TO_PRODUCT_VERSION_MAP_ENTRY__VALUE, PRODUCT_TO_PRODUCT_VERSION_MAP_ENTRY_FEATURE_COUNT, PRODUCT_VERSION, PRODUCT_VERSION__ANNOTATIONS, PRODUCT_VERSION__DESCRIPTION, PRODUCT_VERSION__LABEL, PRODUCT_VERSION__NAME, PRODUCT_VERSION__PRODUCT, PRODUCT_VERSION__QUALIFIED_NAME, PRODUCT_VERSION__SETUP_TASKS, PRODUCT_VERSION_FEATURE_COUNT, PROJECT, PROJECT__ANNOTATIONS, PROJECT__DESCRIPTION, PROJECT__LABEL, PROJECT__LOGICAL_PROJECT_CONTAINER, PROJECT__NAME, PROJECT__PARENT_PROJECT, PROJECT__PROJECT_CATALOG, PROJECT__PROJECT_CONTAINER, PROJECT__PROJECTS, PROJECT__QUALIFIED_NAME, PROJECT__SETUP_TASKS, PROJECT__STREAMS, PROJECT_CATALOG, PROJECT_CATALOG__ANNOTATIONS, PROJECT_CATALOG__DESCRIPTION, PROJECT_CATALOG__INDEX, PROJECT_CATALOG__LABEL, PROJECT_CATALOG__NAME, PROJECT_CATALOG__PROJECTS, PROJECT_CATALOG__QUALIFIED_NAME, PROJECT_CATALOG__SETUP_TASKS, PROJECT_CATALOG_FEATURE_COUNT, PROJECT_CONTAINER, PROJECT_CONTAINER__ANNOTATIONS, PROJECT_CONTAINER__DESCRIPTION, PROJECT_CONTAINER__LABEL, PROJECT_CONTAINER__NAME, PROJECT_CONTAINER__PROJECTS, PROJECT_CONTAINER__QUALIFIED_NAME, PROJECT_CONTAINER__SETUP_TASKS, PROJECT_CONTAINER_FEATURE_COUNT, PROJECT_FEATURE_COUNT, PROJECT_TO_STREAM_MAP_ENTRY, PROJECT_TO_STREAM_MAP_ENTRY__KEY, PROJECT_TO_STREAM_MAP_ENTRY__SELECTION, PROJECT_TO_STREAM_MAP_ENTRY__VALUE, PROJECT_TO_STREAM_MAP_ENTRY_FEATURE_COUNT, REDIRECTION_TASK, REDIRECTION_TASK__ANNOTATIONS, REDIRECTION_TASK__DESCRIPTION, REDIRECTION_TASK__DISABLED, REDIRECTION_TASK__EXCLUDED_TRIGGERS, REDIRECTION_TASK__ID, REDIRECTION_TASK__PREDECESSORS, REDIRECTION_TASK__RESTRICTIONS, REDIRECTION_TASK__SCOPE_TYPE, REDIRECTION_TASK__SOURCE_URL, REDIRECTION_TASK__SUCCESSORS, REDIRECTION_TASK__TARGET_URL, REDIRECTION_TASK_FEATURE_COUNT, RESOURCE_COPY_TASK, RESOURCE_COPY_TASK__ANNOTATIONS, RESOURCE_COPY_TASK__DESCRIPTION, RESOURCE_COPY_TASK__DISABLED, RESOURCE_COPY_TASK__EXCLUDED_TRIGGERS, RESOURCE_COPY_TASK__ID, RESOURCE_COPY_TASK__PREDECESSORS, RESOURCE_COPY_TASK__RESTRICTIONS, RESOURCE_COPY_TASK__SCOPE_TYPE, RESOURCE_COPY_TASK__SOURCE_URL, RESOURCE_COPY_TASK__SUCCESSORS, RESOURCE_COPY_TASK__TARGET_URL, RESOURCE_COPY_TASK_FEATURE_COUNT, RESOURCE_CREATION_TASK, RESOURCE_CREATION_TASK__ANNOTATIONS, RESOURCE_CREATION_TASK__CONTENT, RESOURCE_CREATION_TASK__DESCRIPTION, RESOURCE_CREATION_TASK__DISABLED, RESOURCE_CREATION_TASK__ENCODING, RESOURCE_CREATION_TASK__EXCLUDED_TRIGGERS, RESOURCE_CREATION_TASK__ID, RESOURCE_CREATION_TASK__PREDECESSORS, RESOURCE_CREATION_TASK__RESTRICTIONS, RESOURCE_CREATION_TASK__SCOPE_TYPE, RESOURCE_CREATION_TASK__SUCCESSORS, RESOURCE_CREATION_TASK__TARGET_URL, RESOURCE_CREATION_TASK_FEATURE_COUNT, SCOPE, SCOPE__ANNOTATIONS, SCOPE__DESCRIPTION, SCOPE__LABEL, SCOPE__NAME, SCOPE__QUALIFIED_NAME, SCOPE__SETUP_TASKS, SCOPE_FEATURE_COUNT, SCOPE_TYPE, SETUP_TASK, SETUP_TASK__ANNOTATIONS, SETUP_TASK__DESCRIPTION, SETUP_TASK__DISABLED, SETUP_TASK__EXCLUDED_TRIGGERS, SETUP_TASK__ID, SETUP_TASK__PREDECESSORS, SETUP_TASK__RESTRICTIONS, SETUP_TASK__SCOPE_TYPE, SETUP_TASK__SUCCESSORS, SETUP_TASK_CONTAINER, SETUP_TASK_CONTAINER__ANNOTATIONS, SETUP_TASK_CONTAINER__SETUP_TASKS, SETUP_TASK_CONTAINER_FEATURE_COUNT, SETUP_TASK_FEATURE_COUNT, STREAM, STREAM__ANNOTATIONS, STREAM__DESCRIPTION, STREAM__LABEL, STREAM__NAME, STREAM__PROJECT, STREAM__QUALIFIED_NAME, STREAM__SETUP_TASKS, STREAM_FEATURE_COUNT, STRING_SUBSTITUTION_TASK, STRING_SUBSTITUTION_TASK__ANNOTATIONS, STRING_SUBSTITUTION_TASK__DESCRIPTION, STRING_SUBSTITUTION_TASK__DISABLED, STRING_SUBSTITUTION_TASK__EXCLUDED_TRIGGERS, STRING_SUBSTITUTION_TASK__ID, STRING_SUBSTITUTION_TASK__NAME, STRING_SUBSTITUTION_TASK__PREDECESSORS, STRING_SUBSTITUTION_TASK__RESTRICTIONS, STRING_SUBSTITUTION_TASK__SCOPE_TYPE, STRING_SUBSTITUTION_TASK__SUCCESSORS, STRING_SUBSTITUTION_TASK__VALUE, STRING_SUBSTITUTION_TASK_FEATURE_COUNT, TEXT_MODIFICATION, TEXT_MODIFICATION__ANNOTATIONS, TEXT_MODIFICATION__PATTERN, TEXT_MODIFICATION__SUBSTITUTIONS, TEXT_MODIFICATION_FEATURE_COUNT, TEXT_MODIFY_TASK, TEXT_MODIFY_TASK__ANNOTATIONS, TEXT_MODIFY_TASK__DESCRIPTION, TEXT_MODIFY_TASK__DISABLED, TEXT_MODIFY_TASK__ENCODING, TEXT_MODIFY_TASK__EXCLUDED_TRIGGERS, TEXT_MODIFY_TASK__ID, TEXT_MODIFY_TASK__MODIFICATIONS, TEXT_MODIFY_TASK__PREDECESSORS, TEXT_MODIFY_TASK__RESTRICTIONS, TEXT_MODIFY_TASK__SCOPE_TYPE, TEXT_MODIFY_TASK__SUCCESSORS, TEXT_MODIFY_TASK__URL, TEXT_MODIFY_TASK_FEATURE_COUNT, TRIGGER, TRIGGER_SET, UNSIGNED_POLICY, USER, USER__ACCEPTED_LICENSES, USER__ANNOTATIONS, USER__ATTRIBUTE_RULES, USER__DESCRIPTION, USER__LABEL, USER__NAME, USER__QUALIFIED_NAME, USER__SETUP_TASKS, USER__UNSIGNED_POLICY, USER_FEATURE_COUNT, VARIABLE_CHOICE, VARIABLE_CHOICE__ANNOTATIONS, VARIABLE_CHOICE__LABEL, VARIABLE_CHOICE__VALUE, VARIABLE_CHOICE_FEATURE_COUNT, VARIABLE_TASK, VARIABLE_TASK__ANNOTATIONS, VARIABLE_TASK__CHOICES, VARIABLE_TASK__DEFAULT_VALUE, VARIABLE_TASK__DESCRIPTION, VARIABLE_TASK__DISABLED, VARIABLE_TASK__EXCLUDED_TRIGGERS, VARIABLE_TASK__ID, VARIABLE_TASK__LABEL, VARIABLE_TASK__NAME, VARIABLE_TASK__PREDECESSORS, VARIABLE_TASK__RESTRICTIONS, VARIABLE_TASK__SCOPE_TYPE, VARIABLE_TASK__STORAGE_URI, VARIABLE_TASK__STORE_PROMPTED_VALUE, VARIABLE_TASK__SUCCESSORS, VARIABLE_TASK__TYPE, VARIABLE_TASK__VALUE, VARIABLE_TASK_FEATURE_COUNT, VARIABLE_TYPE, WORKSPACE, WORKSPACE__ANNOTATIONS, WORKSPACE__DESCRIPTION, WORKSPACE__LABEL, WORKSPACE__NAME, WORKSPACE__QUALIFIED_NAME, WORKSPACE__SETUP_TASKS, WORKSPACE__STREAMS, WORKSPACE_FEATURE_COUNT, WORKSPACE_TASK, WORKSPACE_TASK__ANNOTATIONS, WORKSPACE_TASK__DESCRIPTION, WORKSPACE_TASK__DISABLED, WORKSPACE_TASK__EXCLUDED_TRIGGERS, WORKSPACE_TASK__ID, WORKSPACE_TASK__LOCATION, WORKSPACE_TASK__PREDECESSORS, WORKSPACE_TASK__RESTRICTIONS, WORKSPACE_TASK__SCOPE_TYPE, WORKSPACE_TASK__SUCCESSORS, WORKSPACE_TASK_FEATURE_COUNT, WORKSPACE_TO_INSTALLATIONS_MAP_ENTRY, WORKSPACE_TO_INSTALLATIONS_MAP_ENTRY__KEY, WORKSPACE_TO_INSTALLATIONS_MAP_ENTRY__VALUE, WORKSPACE_TO_INSTALLATIONS_MAP_ENTRY_FEATURE_COUNT`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createExtendedMetaDataAnnotations()` Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.
    `protected void` | `createLabelProviderAnnotations()` Initializes the annotations for http://www.eclipse.org/oomph/base/LabelProvider.
    `protected void` | `createNoExpandAnnotations()` Initializes the annotations for http://www.eclipse.org/oomph/setup/NoExpand.
    `void` | `createPackageContents()` Creates the meta-model objects for the package.
    `protected void` | `createRuleVariableAnnotations()` Initializes the annotations for http://www.eclipse.org/oomph/setup/RuleVariable.
    `protected void` | `createValidTriggersAnnotations()` Initializes the annotations for http://www.eclipse.org/oomph/setup/ValidTriggers.
    `protected void` | `createVariableAnnotations()` Initializes the annotations for http://www.eclipse.org/oomph/setup/Variable.
    `EAttribute` | `getAttributeRule_AttributeURI()`
    `EAttribute` | `getAttributeRule_Value()`
    `EClass` | `getAttributeRule()`
    `EReference` | `getCatalogSelection_DefaultProductVersions()`
    `EReference` | `getCatalogSelection_DefaultStreams()`
    `EReference` | `getCatalogSelection_ProductCatalogs()`
    `EReference` | `getCatalogSelection_ProjectCatalogs()`
    `EReference` | `getCatalogSelection_SelectedStreams()`
    `EClass` | `getCatalogSelection()`
    `EAttribute` | `getCompoundTask_Name()`
    `EClass` | `getCompoundTask()`
    `EAttribute` | `getEclipseIniTask_Option()`
    `EAttribute` | `getEclipseIniTask_Value()`
    `EAttribute` | `getEclipseIniTask_Vm()`
    `EClass` | `getEclipseIniTask()`
    `EReference` | `getIndex_DiscoverablePackages()`
    `EReference` | `getIndex_ProductCatalogs()`
    `EReference` | `getIndex_ProjectCatalogs()`
    `EClass` | `getIndex()`
    `EReference` | `getInstallation_ProductVersion()`
    `EClass` | `getInstallation()`
    `EAttribute` | `getInstallationTask_Location()`
    `EClass` | `getInstallationTask()`
    `EReference` | `getInstallationToWorkspacesMapEntry_Key()`
    `EReference` | `getInstallationToWorkspacesMapEntry_Value()`
    `EClass` | `getInstallationToWorkspacesMapEntry()`
    `EDataType` | `getLicenseInfo()`
    `EAttribute` | `getLinkLocationTask_Name()`
    `EAttribute` | `getLinkLocationTask_Path()`
    `EClass` | `getLinkLocationTask()`
    `EReference` | `getLocationCatalog_Installations()`
    `EReference` | `getLocationCatalog_Workspaces()`
    `EClass` | `getLocationCatalog()`
    `EAttribute` | `getPreferenceTask_Key()`
    `EAttribute` | `getPreferenceTask_Value()`
    `EClass` | `getPreferenceTask()`
    `EReference` | `getProduct_ProductCatalog()`
    `EReference` | `getProduct_Versions()`
    `EClass` | `getProduct()`
    `EReference` | `getProductCatalog_Index()`
    `EReference` | `getProductCatalog_Products()`
    `EClass` | `getProductCatalog()`
    `EReference` | `getProductToProductVersionMapEntry_Key()`
    `EReference` | `getProductToProductVersionMapEntry_Value()`
    `EClass` | `getProductToProductVersionMapEntry()`
    `EReference` | `getProductVersion_Product()`
    `EClass` | `getProductVersion()`
    `EReference` | `getProject_LogicalProjectContainer()`
    `EReference` | `getProject_ParentProject()`
    `EReference` | `getProject_ProjectCatalog()`
    `EReference` | `getProject_ProjectContainer()`
    `EReference` | `getProject_Streams()`
    `EClass` | `getProject()`
    `EReference` | `getProjectCatalog_Index()`
    `EClass` | `getProjectCatalog()`
    `EReference` | `getProjectContainer_Projects()`
    `EClass` | `getProjectContainer()`
    `EReference` | `getProjectToStreamMapEntry_Key()`
    `EAttribute` | `getProjectToStreamMapEntry_Selection()`
    `EReference` | `getProjectToStreamMapEntry_Value()`
    `EClass` | `getProjectToStreamMapEntry()`
    `EAttribute` | `getRedirectionTask_SourceURL()`
    `EAttribute` | `getRedirectionTask_TargetURL()`
    `EClass` | `getRedirectionTask()`
    `EAttribute` | `getResourceCopyTask_SourceURL()`
    `EAttribute` | `getResourceCopyTask_TargetURL()`
    `EClass` | `getResourceCopyTask()`
    `EAttribute` | `getResourceCreationTask_Content()`
    `EAttribute` | `getResourceCreationTask_Encoding()`
    `EAttribute` | `getResourceCreationTask_TargetURL()`
    `EClass` | `getResourceCreationTask()`
    `EAttribute` | `getScope_Description()`
    `EAttribute` | `getScope_Label()`
    `EAttribute` | `getScope_Name()`
    `EAttribute` | `getScope_QualifiedName()`
    `EClass` | `getScope()`
    `EEnum` | `getScopeType()`
    `SetupFactory` | `getSetupFactory()`
    `EAttribute` | `getSetupTask_Description()`
    `EAttribute` | `getSetupTask_Disabled()`
    `EAttribute` | `getSetupTask_ExcludedTriggers()`
    `EAttribute` | `getSetupTask_ID()`
    `EReference` | `getSetupTask_Predecessors()`
    `EReference` | `getSetupTask_Restrictions()`
    `EAttribute` | `getSetupTask_ScopeType()`
    `EReference` | `getSetupTask_Successors()`
    `EClass` | `getSetupTask()`
    `EReference` | `getSetupTaskContainer_SetupTasks()`
    `EClass` | `getSetupTaskContainer()`
    `EReference` | `getStream_Project()`
    `EClass` | `getStream()`
    `EAttribute` | `getStringSubstitutionTask_Name()`
    `EAttribute` | `getStringSubstitutionTask_Value()`
    `EClass` | `getStringSubstitutionTask()`
    `EAttribute` | `getTextModification_Pattern()`
    `EAttribute` | `getTextModification_Substitutions()`
    `EClass` | `getTextModification()`
    `EAttribute` | `getTextModifyTask_Encoding()`
    `EReference` | `getTextModifyTask_Modifications()`
    `EAttribute` | `getTextModifyTask_URL()`
    `EClass` | `getTextModifyTask()`
    `EEnum` | `getTrigger()`
    `EDataType` | `getTriggerSet()`
    `EEnum` | `getUnsignedPolicy()`
    `EAttribute` | `getUser_AcceptedLicenses()`
    `EReference` | `getUser_AttributeRules()`
    `EAttribute` | `getUser_UnsignedPolicy()`
    `EClass` | `getUser()`
    `EAttribute` | `getVariableChoice_Label()`
    `EAttribute` | `getVariableChoice_Value()`
    `EClass` | `getVariableChoice()`
    `EReference` | `getVariableTask_Choices()`
    `EAttribute` | `getVariableTask_DefaultValue()`
    `EAttribute` | `getVariableTask_Label()`
    `EAttribute` | `getVariableTask_Name()`
    `EAttribute` | `getVariableTask_StorageURI()`
    `EAttribute` | `getVariableTask_StorePromptedValue()`
    `EAttribute` | `getVariableTask_Type()`
    `EAttribute` | `getVariableTask_Value()`
    `EClass` | `getVariableTask()`
    `EEnum` | `getVariableType()`
    `EReference` | `getWorkspace_Streams()`
    `EClass` | `getWorkspace()`
    `EAttribute` | `getWorkspaceTask_Location()`
    `EClass` | `getWorkspaceTask()`
    `EReference` | `getWorkspaceToInstallationsMapEntry_Key()`
    `EReference` | `getWorkspaceToInstallationsMapEntry_Value()`
    `EClass` | `getWorkspaceToInstallationsMapEntry()`
    `static SetupPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen, setName`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### init

          public static SetupPackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `SetupPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `SetupPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
      Generated

    - #### getIndex

          public EClass getIndex()

      Specified by:
        `getIndex` in interface `SetupPackage`
      Returns:
        the meta object for class 'Index'.
      See Also:
        `Index`
      Generated

    - #### getIndex_DiscoverablePackages

          public EReference getIndex_DiscoverablePackages()

      Specified by:
        `getIndex_DiscoverablePackages` in interface `SetupPackage`
      Returns:
        the meta object for the reference list 'Discoverable Packages'.
      See Also:
        `Index.getDiscoverablePackages()`, `SetupPackage.getIndex()`
      Generated

    - #### getIndex_ProjectCatalogs

          public EReference getIndex_ProjectCatalogs()

      Specified by:
        `getIndex_ProjectCatalogs` in interface `SetupPackage`
      Returns:
        the meta object for the containment reference list 'Project Catalogs'.
      See Also:
        `Index.getProjectCatalogs()`, `SetupPackage.getIndex()`
      Generated

    - #### getCatalogSelection

          public EClass getCatalogSelection()

      Specified by:
        `getCatalogSelection` in interface `SetupPackage`
      Returns:
        the meta object for class 'Catalog Selection'.
      See Also:
        `CatalogSelection`
      Generated

    - #### getCatalogSelection_ProductCatalogs

          public EReference getCatalogSelection_ProductCatalogs()

      Specified by:
        `getCatalogSelection_ProductCatalogs` in interface `SetupPackage`
      Returns:
        the meta object for the reference list 'Product Catalogs'.
      See Also:
        `CatalogSelection.getProductCatalogs()`, `SetupPackage.getCatalogSelection()`
      Generated

    - #### getCatalogSelection_ProjectCatalogs

          public EReference getCatalogSelection_ProjectCatalogs()

      Specified by:
        `getCatalogSelection_ProjectCatalogs` in interface `SetupPackage`
      Returns:
        the meta object for the reference list 'Project Catalogs'.
      See Also:
        `CatalogSelection.getProjectCatalogs()`, `SetupPackage.getCatalogSelection()`
      Generated

    - #### getCatalogSelection_DefaultProductVersions

          public EReference getCatalogSelection_DefaultProductVersions()

      Specified by:
        `getCatalogSelection_DefaultProductVersions` in interface `SetupPackage`
      Returns:
        the meta object for the map 'Default Product Versions'.
      See Also:
        `CatalogSelection.getDefaultProductVersions()`, `SetupPackage.getCatalogSelection()`
      Generated

    - #### getCatalogSelection_DefaultStreams

          public EReference getCatalogSelection_DefaultStreams()

      Specified by:
        `getCatalogSelection_DefaultStreams` in interface `SetupPackage`
      Returns:
        the meta object for the map 'Default Streams'.
      See Also:
        `CatalogSelection.getDefaultStreams()`, `SetupPackage.getCatalogSelection()`
      Generated

    - #### getCatalogSelection_SelectedStreams

          public EReference getCatalogSelection_SelectedStreams()

      Specified by:
        `getCatalogSelection_SelectedStreams` in interface `SetupPackage`
      Returns:
        the meta object for the reference list 'Selected Streams'.
      See Also:
        `CatalogSelection.getSelectedStreams()`, `SetupPackage.getCatalogSelection()`
      Generated

    - #### getIndex_ProductCatalogs

          public EReference getIndex_ProductCatalogs()

      Specified by:
        `getIndex_ProductCatalogs` in interface `SetupPackage`
      Returns:
        the meta object for the containment reference list 'Product Catalogs'.
      See Also:
        `Index.getProductCatalogs()`, `SetupPackage.getIndex()`
      Generated

    - #### getProject

          public EClass getProject()

      Specified by:
        `getProject` in interface `SetupPackage`
      Returns:
        the meta object for class 'Project'.
      See Also:
        `Project`
      Generated

    - #### getProject_Streams

          public EReference getProject_Streams()

      Specified by:
        `getProject_Streams` in interface `SetupPackage`
      Returns:
        the meta object for the containment reference list 'Streams'.
      See Also:
        `Project.getStreams()`, `SetupPackage.getProject()`
      Generated

    - #### getProject_ProjectContainer

          public EReference getProject_ProjectContainer()

      Specified by:
        `getProject_ProjectContainer` in interface `SetupPackage`
      Returns:
        the meta object for the container reference 'Project Container'.
      See Also:
        `Project.getProjectContainer()`, `SetupPackage.getProject()`
      Generated

    - #### getProject_LogicalProjectContainer

          public EReference getProject_LogicalProjectContainer()

      Specified by:
        `getProject_LogicalProjectContainer` in interface `SetupPackage`
      Returns:
        the meta object for the reference 'Logical Project Container'.
      See Also:
        `Project.getLogicalProjectContainer()`, `SetupPackage.getProject()`
      Generated

    - #### getProject_ParentProject

          public EReference getProject_ParentProject()

      Specified by:
        `getProject_ParentProject` in interface `SetupPackage`
      Returns:
        the meta object for the reference 'Parent Project'.
      See Also:
        `Project.getParentProject()`, `SetupPackage.getProject()`
      Generated

    - #### getProject_ProjectCatalog

          public EReference getProject_ProjectCatalog()

      Specified by:
        `getProject_ProjectCatalog` in interface `SetupPackage`
      Returns:
        the meta object for the reference 'Project Catalog'.
      See Also:
        `Project.getProjectCatalog()`, `SetupPackage.getProject()`
      Generated

    - #### getStream

          public EClass getStream()

      Specified by:
        `getStream` in interface `SetupPackage`
      Returns:
        the meta object for class 'Stream'.
      See Also:
        `Stream`
      Generated

    - #### getStream_Project

          public EReference getStream_Project()

      Specified by:
        `getStream_Project` in interface `SetupPackage`
      Returns:
        the meta object for the container reference 'Project'.
      See Also:
        `Stream.getProject()`, `SetupPackage.getStream()`
      Generated

    - #### getInstallation

          public EClass getInstallation()

      Specified by:
        `getInstallation` in interface `SetupPackage`
      Returns:
        the meta object for class 'Installation'.
      See Also:
        `Installation`
      Generated

    - #### getInstallation_ProductVersion

          public EReference getInstallation_ProductVersion()

      Specified by:
        `getInstallation_ProductVersion` in interface `SetupPackage`
      Returns:
        the meta object for the reference 'Product Version'.
      See Also:
        `Installation.getProductVersion()`, `SetupPackage.getInstallation()`
      Generated

    - #### getProductCatalog

          public EClass getProductCatalog()

      Specified by:
        `getProductCatalog` in interface `SetupPackage`
      Returns:
        the meta object for class 'Product Catalog'.
      See Also:
        `ProductCatalog`
      Generated

    - #### getProductCatalog_Index

          public EReference getProductCatalog_Index()

      Specified by:
        `getProductCatalog_Index` in interface `SetupPackage`
      Returns:
        the meta object for the container reference 'Index'.
      See Also:
        `ProductCatalog.getIndex()`, `SetupPackage.getProductCatalog()`
      Generated

    - #### getProductCatalog_Products

          public EReference getProductCatalog_Products()

      Specified by:
        `getProductCatalog_Products` in interface `SetupPackage`
      Returns:
        the meta object for the containment reference list 'Products'.
      See Also:
        `ProductCatalog.getProducts()`, `SetupPackage.getProductCatalog()`
      Generated

    - #### getProduct

          public EClass getProduct()

      Specified by:
        `getProduct` in interface `SetupPackage`
      Returns:
        the meta object for class 'Product'.
      See Also:
        `Product`
      Generated

    - #### getProduct_ProductCatalog

          public EReference getProduct_ProductCatalog()

      Specified by:
        `getProduct_ProductCatalog` in interface `SetupPackage`
      Returns:
        the meta object for the container reference 'Product Catalog'.
      See Also:
        `Product.getProductCatalog()`, `SetupPackage.getProduct()`
      Generated

    - #### getProduct_Versions

          public EReference getProduct_Versions()

      Specified by:
        `getProduct_Versions` in interface `SetupPackage`
      Returns:
        the meta object for the containment reference list 'Versions'.
      See Also:
        `Product.getVersions()`, `SetupPackage.getProduct()`
      Generated

    - #### getProductVersion

          public EClass getProductVersion()

      Specified by:
        `getProductVersion` in interface `SetupPackage`
      Returns:
        the meta object for class 'Product Version'.
      See Also:
        `ProductVersion`
      Generated

    - #### getProductVersion_Product

          public EReference getProductVersion_Product()

      Specified by:
        `getProductVersion_Product` in interface `SetupPackage`
      Returns:
        the meta object for the container reference 'Product'.
      See Also:
        `ProductVersion.getProduct()`, `SetupPackage.getProductVersion()`
      Generated

    - #### getProjectCatalog

          public EClass getProjectCatalog()

      Specified by:
        `getProjectCatalog` in interface `SetupPackage`
      Returns:
        the meta object for class 'Project Catalog'.
      See Also:
        `ProjectCatalog`
      Generated

    - #### getProjectCatalog_Index

          public EReference getProjectCatalog_Index()

      Specified by:
        `getProjectCatalog_Index` in interface `SetupPackage`
      Returns:
        the meta object for the container reference 'Index'.
      See Also:
        `ProjectCatalog.getIndex()`, `SetupPackage.getProjectCatalog()`
      Generated

    - #### getInstallationTask

          public EClass getInstallationTask()

      Specified by:
        `getInstallationTask` in interface `SetupPackage`
      Returns:
        the meta object for class 'Installation Task'.
      See Also:
        `InstallationTask`
      Generated

    - #### getInstallationTask_Location

          public EAttribute getInstallationTask_Location()

      Specified by:
        `getInstallationTask_Location` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Location'.
      See Also:
        `InstallationTask.getLocation()`, `SetupPackage.getInstallationTask()`
      Generated

    - #### getWorkspaceTask

          public EClass getWorkspaceTask()

      Specified by:
        `getWorkspaceTask` in interface `SetupPackage`
      Returns:
        the meta object for class 'Workspace Task'.
      See Also:
        `WorkspaceTask`
      Generated

    - #### getWorkspaceTask_Location

          public EAttribute getWorkspaceTask_Location()

      Specified by:
        `getWorkspaceTask_Location` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Location'.
      See Also:
        `WorkspaceTask.getLocation()`, `SetupPackage.getWorkspaceTask()`
      Generated

    - #### getCompoundTask

          public EClass getCompoundTask()

      Specified by:
        `getCompoundTask` in interface `SetupPackage`
      Returns:
        the meta object for class 'Compound Task'.
      See Also:
        `CompoundTask`
      Generated

    - #### getCompoundTask_Name

          public EAttribute getCompoundTask_Name()

      Specified by:
        `getCompoundTask_Name` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `CompoundTask.getName()`, `SetupPackage.getCompoundTask()`
      Generated

    - #### getVariableTask

          public EClass getVariableTask()

      Specified by:
        `getVariableTask` in interface `SetupPackage`
      Returns:
        the meta object for class 'Variable Task'.
      See Also:
        `VariableTask`
      Generated

    - #### getVariableTask_Type

          public EAttribute getVariableTask_Type()

      Specified by:
        `getVariableTask_Type` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `VariableTask.getType()`, `SetupPackage.getVariableTask()`
      Generated

    - #### getVariableTask_Name

          public EAttribute getVariableTask_Name()

      Specified by:
        `getVariableTask_Name` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `VariableTask.getName()`, `SetupPackage.getVariableTask()`
      Generated

    - #### getVariableTask_Value

          public EAttribute getVariableTask_Value()

      Specified by:
        `getVariableTask_Value` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `VariableTask.getValue()`, `SetupPackage.getVariableTask()`
      Generated

    - #### getVariableTask_DefaultValue

          public EAttribute getVariableTask_DefaultValue()

      Specified by:
        `getVariableTask_DefaultValue` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Default Value'.
      See Also:
        `VariableTask.getDefaultValue()`, `SetupPackage.getVariableTask()`
      Generated

    - #### getVariableTask_StorePromptedValue

          public EAttribute getVariableTask_StorePromptedValue()

      Specified by:
        `getVariableTask_StorePromptedValue` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Store Prompted Value'.
      See Also:
        `VariableTask`, `SetupPackage.getVariableTask()`
      Generated

    - #### getVariableTask_StorageURI

          public EAttribute getVariableTask_StorageURI()

      Specified by:
        `getVariableTask_StorageURI` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Storage URI'.
      See Also:
        `VariableTask.getStorageURI()`, `SetupPackage.getVariableTask()`
      Generated

    - #### getVariableTask_Label

          public EAttribute getVariableTask_Label()

      Specified by:
        `getVariableTask_Label` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `VariableTask.getLabel()`, `SetupPackage.getVariableTask()`
      Generated

    - #### getVariableTask_Choices

          public EReference getVariableTask_Choices()

      Specified by:
        `getVariableTask_Choices` in interface `SetupPackage`
      Returns:
        the meta object for the containment reference list 'Choices'.
      See Also:
        `VariableTask.getChoices()`, `SetupPackage.getVariableTask()`
      Generated

    - #### getSetupTask

          public EClass getSetupTask()

      Specified by:
        `getSetupTask` in interface `SetupPackage`
      Returns:
        the meta object for class 'Task'.
      See Also:
        `SetupTask`
      Generated

    - #### getSetupTask_Predecessors

          public EReference getSetupTask_Predecessors()

      Specified by:
        `getSetupTask_Predecessors` in interface `SetupPackage`
      Returns:
        the meta object for the reference list 'Predecessors'.
      See Also:
        `SetupTask.getPredecessors()`, `SetupPackage.getSetupTask()`
      Generated

    - #### getSetupTask_Successors

          public EReference getSetupTask_Successors()

      Specified by:
        `getSetupTask_Successors` in interface `SetupPackage`
      Returns:
        the meta object for the reference list 'Successors'.
      See Also:
        `SetupTask.getSuccessors()`, `SetupPackage.getSetupTask()`
      Generated

    - #### getSetupTask_ID

          public EAttribute getSetupTask_ID()

      Specified by:
        `getSetupTask_ID` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'ID'.
      See Also:
        `SetupTask.getID()`, `SetupPackage.getSetupTask()`
      Generated

    - #### getSetupTask_ScopeType

          public EAttribute getSetupTask_ScopeType()

      Specified by:
        `getSetupTask_ScopeType` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Scope Type'.
      See Also:
        `SetupTask.getScopeType()`, `SetupPackage.getSetupTask()`
      Generated

    - #### getSetupTask_Restrictions

          public EReference getSetupTask_Restrictions()

      Specified by:
        `getSetupTask_Restrictions` in interface `SetupPackage`
      Returns:
        the meta object for the reference list 'Restrictions'.
      See Also:
        `SetupTask.getRestrictions()`, `SetupPackage.getSetupTask()`
      Generated

    - #### getSetupTask_ExcludedTriggers

          public EAttribute getSetupTask_ExcludedTriggers()

      Specified by:
        `getSetupTask_ExcludedTriggers` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Excluded Triggers'.
      See Also:
        `SetupTask.getExcludedTriggers()`, `SetupPackage.getSetupTask()`
      Generated

    - #### getSetupTask_Description

          public EAttribute getSetupTask_Description()

      Specified by:
        `getSetupTask_Description` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Description'.
      See Also:
        `SetupTask.getDescription()`, `SetupPackage.getSetupTask()`
      Generated

    - #### getSetupTask_Disabled

          public EAttribute getSetupTask_Disabled()

      Specified by:
        `getSetupTask_Disabled` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Disabled'.
      See Also:
        `SetupTask.isDisabled()`, `SetupPackage.getSetupTask()`
      Generated

    - #### getResourceCopyTask

          public EClass getResourceCopyTask()

      Specified by:
        `getResourceCopyTask` in interface `SetupPackage`
      Returns:
        the meta object for class 'Resource Copy Task'.
      See Also:
        `ResourceCopyTask`
      Generated

    - #### getResourceCopyTask_SourceURL

          public EAttribute getResourceCopyTask_SourceURL()

      Specified by:
        `getResourceCopyTask_SourceURL` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Source URL'.
      See Also:
        `ResourceCopyTask.getSourceURL()`, `SetupPackage.getResourceCopyTask()`
      Generated

    - #### getResourceCopyTask_TargetURL

          public EAttribute getResourceCopyTask_TargetURL()

      Specified by:
        `getResourceCopyTask_TargetURL` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Target URL'.
      See Also:
        `ResourceCopyTask.getTargetURL()`, `SetupPackage.getResourceCopyTask()`
      Generated

    - #### getTextModifyTask

          public EClass getTextModifyTask()

      Specified by:
        `getTextModifyTask` in interface `SetupPackage`
      Returns:
        the meta object for class 'Text Modify Task'.
      See Also:
        `TextModifyTask`
      Generated

    - #### getTextModifyTask_URL

          public EAttribute getTextModifyTask_URL()

      Specified by:
        `getTextModifyTask_URL` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'URL'.
      See Also:
        `TextModifyTask.getURL()`, `SetupPackage.getTextModifyTask()`
      Generated

    - #### getTextModifyTask_Modifications

          public EReference getTextModifyTask_Modifications()

      Specified by:
        `getTextModifyTask_Modifications` in interface `SetupPackage`
      Returns:
        the meta object for the containment reference list 'Modifications'.
      See Also:
        `TextModifyTask.getModifications()`, `SetupPackage.getTextModifyTask()`
      Generated

    - #### getTextModifyTask_Encoding

          public EAttribute getTextModifyTask_Encoding()

      Specified by:
        `getTextModifyTask_Encoding` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Encoding'.
      See Also:
        `TextModifyTask.getEncoding()`, `SetupPackage.getTextModifyTask()`
      Generated

    - #### getTextModification

          public EClass getTextModification()

      Specified by:
        `getTextModification` in interface `SetupPackage`
      Returns:
        the meta object for class 'Text Modification'.
      See Also:
        `TextModification`
      Generated

    - #### getTextModification_Pattern

          public EAttribute getTextModification_Pattern()

      Specified by:
        `getTextModification_Pattern` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Pattern'.
      See Also:
        `TextModification.getPattern()`, `SetupPackage.getTextModification()`
      Generated

    - #### getTextModification_Substitutions

          public EAttribute getTextModification_Substitutions()

      Specified by:
        `getTextModification_Substitutions` in interface `SetupPackage`
      Returns:
        the meta object for the attribute list 'Substitutions'.
      See Also:
        `TextModification.getSubstitutions()`, `SetupPackage.getTextModification()`
      Generated

    - #### getProductToProductVersionMapEntry

          public EClass getProductToProductVersionMapEntry()

      Specified by:
        `getProductToProductVersionMapEntry` in interface `SetupPackage`
      Returns:
        the meta object for class 'Product To Product Version Map Entry'.
      See Also:
        `Map.Entry`
      Generated

    - #### getProductToProductVersionMapEntry_Key

          public EReference getProductToProductVersionMapEntry_Key()

      Specified by:
        `getProductToProductVersionMapEntry_Key` in interface `SetupPackage`
      Returns:
        the meta object for the reference 'Key'.
      See Also:
        `Map.Entry`, `SetupPackage.getProductToProductVersionMapEntry()`
      Generated

    - #### getProductToProductVersionMapEntry_Value

          public EReference getProductToProductVersionMapEntry_Value()

      Specified by:
        `getProductToProductVersionMapEntry_Value` in interface `SetupPackage`
      Returns:
        the meta object for the reference 'Value'.
      See Also:
        `Map.Entry`, `SetupPackage.getProductToProductVersionMapEntry()`
      Generated

    - #### getProjectToStreamMapEntry

          public EClass getProjectToStreamMapEntry()

      Specified by:
        `getProjectToStreamMapEntry` in interface `SetupPackage`
      Returns:
        the meta object for class 'Project To Stream Map Entry'.
      See Also:
        `Map.Entry`
      Generated

    - #### getProjectToStreamMapEntry_Key

          public EReference getProjectToStreamMapEntry_Key()

      Specified by:
        `getProjectToStreamMapEntry_Key` in interface `SetupPackage`
      Returns:
        the meta object for the reference 'Key'.
      See Also:
        `Map.Entry`, `SetupPackage.getProjectToStreamMapEntry()`
      Generated

    - #### getProjectToStreamMapEntry_Value

          public EReference getProjectToStreamMapEntry_Value()

      Specified by:
        `getProjectToStreamMapEntry_Value` in interface `SetupPackage`
      Returns:
        the meta object for the reference 'Value'.
      See Also:
        `Map.Entry`, `SetupPackage.getProjectToStreamMapEntry()`
      Generated

    - #### getProjectToStreamMapEntry_Selection

          public EAttribute getProjectToStreamMapEntry_Selection()

      Specified by:
        `getProjectToStreamMapEntry_Selection` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Selection'.
      See Also:
        `Map.Entry`, `SetupPackage.getProjectToStreamMapEntry()`
      Generated

    - #### getInstallationToWorkspacesMapEntry

          public EClass getInstallationToWorkspacesMapEntry()

      Specified by:
        `getInstallationToWorkspacesMapEntry` in interface `SetupPackage`
      Returns:
        the meta object for class 'Installation To Workspaces Map Entry'.
      See Also:
        `Map.Entry`
      Generated

    - #### getInstallationToWorkspacesMapEntry_Key

          public EReference getInstallationToWorkspacesMapEntry_Key()

      Specified by:
        `getInstallationToWorkspacesMapEntry_Key` in interface `SetupPackage`
      Returns:
        the meta object for the reference 'Key'.
      See Also:
        `Map.Entry`, `SetupPackage.getInstallationToWorkspacesMapEntry()`
      Generated

    - #### getInstallationToWorkspacesMapEntry_Value

          public EReference getInstallationToWorkspacesMapEntry_Value()

      Specified by:
        `getInstallationToWorkspacesMapEntry_Value` in interface `SetupPackage`
      Returns:
        the meta object for the reference list 'Value'.
      See Also:
        `Map.Entry`, `SetupPackage.getInstallationToWorkspacesMapEntry()`
      Generated

    - #### getWorkspaceToInstallationsMapEntry

          public EClass getWorkspaceToInstallationsMapEntry()

      Specified by:
        `getWorkspaceToInstallationsMapEntry` in interface `SetupPackage`
      Returns:
        the meta object for class 'Workspace To Installations Map Entry'.
      See Also:
        `Map.Entry`
      Generated

    - #### getWorkspaceToInstallationsMapEntry_Value

          public EReference getWorkspaceToInstallationsMapEntry_Value()

      Specified by:
        `getWorkspaceToInstallationsMapEntry_Value` in interface `SetupPackage`
      Returns:
        the meta object for the reference list 'Value'.
      See Also:
        `Map.Entry`, `SetupPackage.getWorkspaceToInstallationsMapEntry()`
      Generated

    - #### getWorkspaceToInstallationsMapEntry_Key

          public EReference getWorkspaceToInstallationsMapEntry_Key()

      Specified by:
        `getWorkspaceToInstallationsMapEntry_Key` in interface `SetupPackage`
      Returns:
        the meta object for the reference 'Key'.
      See Also:
        `Map.Entry`, `SetupPackage.getWorkspaceToInstallationsMapEntry()`
      Generated

    - #### getStringSubstitutionTask

          public EClass getStringSubstitutionTask()

      Specified by:
        `getStringSubstitutionTask` in interface `SetupPackage`
      Returns:
        the meta object for class 'String Substitution Task'.
      See Also:
        `StringSubstitutionTask`
      Generated

    - #### getStringSubstitutionTask_Name

          public EAttribute getStringSubstitutionTask_Name()

      Specified by:
        `getStringSubstitutionTask_Name` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `StringSubstitutionTask.getName()`, `SetupPackage.getStringSubstitutionTask()`
      Generated

    - #### getStringSubstitutionTask_Value

          public EAttribute getStringSubstitutionTask_Value()

      Specified by:
        `getStringSubstitutionTask_Value` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `StringSubstitutionTask.getValue()`, `SetupPackage.getStringSubstitutionTask()`
      Generated

    - #### getProjectContainer

          public EClass getProjectContainer()

      Specified by:
        `getProjectContainer` in interface `SetupPackage`
      Returns:
        the meta object for class 'Project Container'.
      See Also:
        `ProjectContainer`
      Generated

    - #### getProjectContainer_Projects

          public EReference getProjectContainer_Projects()

      Specified by:
        `getProjectContainer_Projects` in interface `SetupPackage`
      Returns:
        the meta object for the containment reference list 'Projects'.
      See Also:
        `ProjectContainer.getProjects()`, `SetupPackage.getProjectContainer()`
      Generated

    - #### getScopeType

          public EEnum getScopeType()

      Specified by:
        `getScopeType` in interface `SetupPackage`
      Returns:
        the meta object for enum 'Scope Type'.
      See Also:
        `ScopeType`
      Generated

    - #### getAttributeRule

          public EClass getAttributeRule()

      Specified by:
        `getAttributeRule` in interface `SetupPackage`
      Returns:
        the meta object for class 'Attribute Rule'.
      See Also:
        `AttributeRule`
      Generated

    - #### getAttributeRule_AttributeURI

          public EAttribute getAttributeRule_AttributeURI()

      Specified by:
        `getAttributeRule_AttributeURI` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Attribute URI'.
      See Also:
        `AttributeRule.getAttributeURI()`, `SetupPackage.getAttributeRule()`
      Generated

    - #### getAttributeRule_Value

          public EAttribute getAttributeRule_Value()

      Specified by:
        `getAttributeRule_Value` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `AttributeRule.getValue()`, `SetupPackage.getAttributeRule()`
      Generated

    - #### getLocationCatalog

          public EClass getLocationCatalog()

      Specified by:
        `getLocationCatalog` in interface `SetupPackage`
      Returns:
        the meta object for class 'Location Catalog'.
      See Also:
        `LocationCatalog`
      Generated

    - #### getLocationCatalog_Installations

          public EReference getLocationCatalog_Installations()

      Specified by:
        `getLocationCatalog_Installations` in interface `SetupPackage`
      Returns:
        the meta object for the map 'Installations'.
      See Also:
        `LocationCatalog.getInstallations()`, `SetupPackage.getLocationCatalog()`
      Generated

    - #### getLocationCatalog_Workspaces

          public EReference getLocationCatalog_Workspaces()

      Specified by:
        `getLocationCatalog_Workspaces` in interface `SetupPackage`
      Returns:
        the meta object for the map 'Workspaces'.
      See Also:
        `LocationCatalog.getWorkspaces()`, `SetupPackage.getLocationCatalog()`
      Generated

    - #### getRedirectionTask

          public EClass getRedirectionTask()

      Specified by:
        `getRedirectionTask` in interface `SetupPackage`
      Returns:
        the meta object for class 'Redirection Task'.
      See Also:
        `RedirectionTask`
      Generated

    - #### getRedirectionTask_SourceURL

          public EAttribute getRedirectionTask_SourceURL()

      Specified by:
        `getRedirectionTask_SourceURL` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Source URL'.
      See Also:
        `RedirectionTask.getSourceURL()`, `SetupPackage.getRedirectionTask()`
      Generated

    - #### getRedirectionTask_TargetURL

          public EAttribute getRedirectionTask_TargetURL()

      Specified by:
        `getRedirectionTask_TargetURL` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Target URL'.
      See Also:
        `RedirectionTask.getTargetURL()`, `SetupPackage.getRedirectionTask()`
      Generated

    - #### getVariableChoice

          public EClass getVariableChoice()

      Specified by:
        `getVariableChoice` in interface `SetupPackage`
      Returns:
        the meta object for class 'Variable Choice'.
      See Also:
        `VariableChoice`
      Generated

    - #### getVariableChoice_Value

          public EAttribute getVariableChoice_Value()

      Specified by:
        `getVariableChoice_Value` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `VariableChoice.getValue()`, `SetupPackage.getVariableChoice()`
      Generated

    - #### getVariableChoice_Label

          public EAttribute getVariableChoice_Label()

      Specified by:
        `getVariableChoice_Label` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `VariableChoice.getLabel()`, `SetupPackage.getVariableChoice()`
      Generated

    - #### getResourceCreationTask

          public EClass getResourceCreationTask()

      Specified by:
        `getResourceCreationTask` in interface `SetupPackage`
      Returns:
        the meta object for class 'Resource Creation Task'.
      See Also:
        `ResourceCreationTask`
      Generated

    - #### getResourceCreationTask_Content

          public EAttribute getResourceCreationTask_Content()

      Specified by:
        `getResourceCreationTask_Content` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Content'.
      See Also:
        `ResourceCreationTask.getContent()`, `SetupPackage.getResourceCreationTask()`
      Generated

    - #### getResourceCreationTask_TargetURL

          public EAttribute getResourceCreationTask_TargetURL()

      Specified by:
        `getResourceCreationTask_TargetURL` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Target URL'.
      See Also:
        `ResourceCreationTask.getTargetURL()`, `SetupPackage.getResourceCreationTask()`
      Generated

    - #### getResourceCreationTask_Encoding

          public EAttribute getResourceCreationTask_Encoding()

      Specified by:
        `getResourceCreationTask_Encoding` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Encoding'.
      See Also:
        `ResourceCreationTask.getEncoding()`, `SetupPackage.getResourceCreationTask()`
      Generated

    - #### getEclipseIniTask

          public EClass getEclipseIniTask()

      Specified by:
        `getEclipseIniTask` in interface `SetupPackage`
      Returns:
        the meta object for class 'Eclipse Ini Task'.
      See Also:
        `EclipseIniTask`
      Generated

    - #### getEclipseIniTask_Option

          public EAttribute getEclipseIniTask_Option()

      Specified by:
        `getEclipseIniTask_Option` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Option'.
      See Also:
        `EclipseIniTask.getOption()`, `SetupPackage.getEclipseIniTask()`
      Generated

    - #### getEclipseIniTask_Value

          public EAttribute getEclipseIniTask_Value()

      Specified by:
        `getEclipseIniTask_Value` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `EclipseIniTask.getValue()`, `SetupPackage.getEclipseIniTask()`
      Generated

    - #### getEclipseIniTask_Vm

          public EAttribute getEclipseIniTask_Vm()

      Specified by:
        `getEclipseIniTask_Vm` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Vm'.
      See Also:
        `EclipseIniTask.isVm()`, `SetupPackage.getEclipseIniTask()`
      Generated

    - #### getTrigger

          public EEnum getTrigger()

      Specified by:
        `getTrigger` in interface `SetupPackage`
      Returns:
        the meta object for enum 'Trigger'.
      See Also:
        `Trigger`
      Generated

    - #### getVariableType

          public EEnum getVariableType()

      Specified by:
        `getVariableType` in interface `SetupPackage`
      Returns:
        the meta object for enum 'Variable Type'.
      See Also:
        `VariableType`
      Generated

    - #### getUnsignedPolicy

          public EEnum getUnsignedPolicy()

      Specified by:
        `getUnsignedPolicy` in interface `SetupPackage`
      Returns:
        the meta object for enum 'Unsigned Policy'.
      See Also:
        `UnsignedPolicy`
      Generated

    - #### getUser

          public EClass getUser()

      Specified by:
        `getUser` in interface `SetupPackage`
      Returns:
        the meta object for class 'User'.
      See Also:
        `User`
      Generated

    - #### getUser_AttributeRules

          public EReference getUser_AttributeRules()

      Specified by:
        `getUser_AttributeRules` in interface `SetupPackage`
      Returns:
        the meta object for the containment reference list 'Attribute Rules'.
      See Also:
        `User.getAttributeRules()`, `SetupPackage.getUser()`
      Generated

    - #### getUser_AcceptedLicenses

          public EAttribute getUser_AcceptedLicenses()

      Specified by:
        `getUser_AcceptedLicenses` in interface `SetupPackage`
      Returns:
        the meta object for the attribute list 'Accepted Licenses'.
      See Also:
        `User.getAcceptedLicenses()`, `SetupPackage.getUser()`
      Generated

    - #### getUser_UnsignedPolicy

          public EAttribute getUser_UnsignedPolicy()

      Specified by:
        `getUser_UnsignedPolicy` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Unsigned Policy'.
      See Also:
        `User.getUnsignedPolicy()`, `SetupPackage.getUser()`
      Generated

    - #### getWorkspace

          public EClass getWorkspace()

      Specified by:
        `getWorkspace` in interface `SetupPackage`
      Returns:
        the meta object for class 'Workspace'.
      See Also:
        `Workspace`
      Generated

    - #### getWorkspace_Streams

          public EReference getWorkspace_Streams()

      Specified by:
        `getWorkspace_Streams` in interface `SetupPackage`
      Returns:
        the meta object for the reference list 'Streams'.
      See Also:
        `Workspace.getStreams()`, `SetupPackage.getWorkspace()`
      Generated

    - #### getLinkLocationTask

          public EClass getLinkLocationTask()

      Specified by:
        `getLinkLocationTask` in interface `SetupPackage`
      Returns:
        the meta object for class 'Link Location Task'.
      See Also:
        `LinkLocationTask`
      Generated

    - #### getLinkLocationTask_Path

          public EAttribute getLinkLocationTask_Path()

      Specified by:
        `getLinkLocationTask_Path` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Path'.
      See Also:
        `LinkLocationTask.getPath()`, `SetupPackage.getLinkLocationTask()`
      Generated

    - #### getLinkLocationTask_Name

          public EAttribute getLinkLocationTask_Name()

      Specified by:
        `getLinkLocationTask_Name` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `LinkLocationTask.getName()`, `SetupPackage.getLinkLocationTask()`
      Generated

    - #### getPreferenceTask

          public EClass getPreferenceTask()

      Specified by:
        `getPreferenceTask` in interface `SetupPackage`
      Returns:
        the meta object for class 'Preference Task'.
      See Also:
        `PreferenceTask`
      Generated

    - #### getPreferenceTask_Key

          public EAttribute getPreferenceTask_Key()

      Specified by:
        `getPreferenceTask_Key` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Key'.
      See Also:
        `PreferenceTask.getKey()`, `SetupPackage.getPreferenceTask()`
      Generated

    - #### getPreferenceTask_Value

          public EAttribute getPreferenceTask_Value()

      Specified by:
        `getPreferenceTask_Value` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `PreferenceTask.getValue()`, `SetupPackage.getPreferenceTask()`
      Generated

    - #### getSetupTaskContainer

          public EClass getSetupTaskContainer()

      Specified by:
        `getSetupTaskContainer` in interface `SetupPackage`
      Returns:
        the meta object for class 'Task Container'.
      See Also:
        `SetupTaskContainer`
      Generated

    - #### getSetupTaskContainer_SetupTasks

          public EReference getSetupTaskContainer_SetupTasks()

      Specified by:
        `getSetupTaskContainer_SetupTasks` in interface `SetupPackage`
      Returns:
        the meta object for the containment reference list 'Setup Tasks'.
      See Also:
        `SetupTaskContainer.getSetupTasks()`, `SetupPackage.getSetupTaskContainer()`
      Generated

    - #### getScope

          public EClass getScope()

      Specified by:
        `getScope` in interface `SetupPackage`
      Returns:
        the meta object for class 'Scope'.
      See Also:
        `Scope`
      Generated

    - #### getScope_Name

          public EAttribute getScope_Name()

      Specified by:
        `getScope_Name` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Scope.getName()`, `SetupPackage.getScope()`
      Generated

    - #### getScope_Label

          public EAttribute getScope_Label()

      Specified by:
        `getScope_Label` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `Scope.getLabel()`, `SetupPackage.getScope()`
      Generated

    - #### getScope_Description

          public EAttribute getScope_Description()

      Specified by:
        `getScope_Description` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Description'.
      See Also:
        `Scope.getDescription()`, `SetupPackage.getScope()`
      Generated

    - #### getScope_QualifiedName

          public EAttribute getScope_QualifiedName()

      Specified by:
        `getScope_QualifiedName` in interface `SetupPackage`
      Returns:
        the meta object for the attribute 'Qualified Name'.
      See Also:
        `Scope.getQualifiedName()`, `SetupPackage.getScope()`
      Generated

    - #### getLicenseInfo

          public EDataType getLicenseInfo()

      Specified by:
        `getLicenseInfo` in interface `SetupPackage`
      Returns:
        the meta object for data type 'License Info'.
      See Also:
        `LicenseInfo`
      Generated

    - #### getTriggerSet

          public EDataType getTriggerSet()

      Specified by:
        `getTriggerSet` in interface `SetupPackage`
      Returns:
        the meta object for data type 'Trigger Set'.
      See Also:
        `Set`
      Generated

    - #### getSetupFactory

          public SetupFactory getSetupFactory()

      Specified by:
        `getSetupFactory` in interface `SetupPackage`
      Returns:
        the factory that creates the instances of the model.
      Generated

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.
      Generated

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.
      Generated

    - #### createLabelProviderAnnotations

          protected void createLabelProviderAnnotations()

      Initializes the annotations for http://www.eclipse.org/oomph/base/LabelProvider.
      Generated

    - #### createExtendedMetaDataAnnotations

          protected void createExtendedMetaDataAnnotations()

      Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.
      Generated

    - #### createNoExpandAnnotations

          protected void createNoExpandAnnotations()

      Initializes the annotations for http://www.eclipse.org/oomph/setup/NoExpand.
      Generated

    - #### createRuleVariableAnnotations

          protected void createRuleVariableAnnotations()

      Initializes the annotations for http://www.eclipse.org/oomph/setup/RuleVariable.
      Generated

    - #### createValidTriggersAnnotations

          protected void createValidTriggersAnnotations()

      Initializes the annotations for http://www.eclipse.org/oomph/setup/ValidTriggers.
      Generated

    - #### createVariableAnnotations

          protected void createVariableAnnotations()

      Initializes the annotations for http://www.eclipse.org/oomph/setup/Variable.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html